### Method

# EDataServer SourceMailIdentity set_address

since: 3.6

#### Declaration [src]

    void
    e_source_mail_identity_set_address (
      ESourceMailIdentity* extension,
      const gchar* address
    )

#### Description [src]

Sets the email address for this identity from which to send messages.

The internal copy of `address` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceMailIdentity:address`

#### Parameters

`address`

  Type: `const gchar*`

  The sender’s email address, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.